Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Global Oncall Reminder Rules

Get Global Oncall Reminder Rules

get
/v3/global-oncall-reminder-rules

Get Global Oncall Reminder Rules

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired

required *

Responses
200

The request has succeeded.

application/json
get/v3/global-oncall-reminder-rules
GET /v3/global-oncall-reminder-rules?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "is_enabled": true,
    "owner_id": "text",
    "rules": [
      {
        "type": "text",
        "time": 1
      }
    ]
  }
}

Create Global Oncall Reminder Rules

post
/v3/global-oncall-reminder-rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
is_enabledbooleanRequired
owner_idstringRequired
Responses
200

The request has succeeded.

application/json
post/v3/global-oncall-reminder-rules
POST /v3/global-oncall-reminder-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "is_enabled": true,
  "owner_id": "text",
  "rules": [
    {
      "type": "text",
      "time": 1
    }
  ]
}
{
  "data": {
    "id": 1,
    "is_enabled": true,
    "owner_id": "text",
    "rules": [
      {
        "type": "text",
        "time": 1
      }
    ]
  }
}

Update Global Oncall Reminder Rules

put
/v3/global-oncall-reminder-rules

Update Global Oncall Reminder Rules

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired
Body
is_enabledbooleanRequired
Responses
200

The request has succeeded.

application/json
put/v3/global-oncall-reminder-rules
PUT /v3/global-oncall-reminder-rules?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "is_enabled": true,
  "rules": [
    {
      "type": "text",
      "time": 1
    }
  ]
}
{
  "data": {
    "id": 1,
    "is_enabled": true,
    "owner_id": "text",
    "rules": [
      {
        "type": "text",
        "time": 1
      }
    ]
  }
}

Delete Global Oncall Reminder Rules

delete
/v3/global-oncall-reminder-rules

Delete Global Oncall Reminder Rules

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/global-oncall-reminder-rules
DELETE /v3/global-oncall-reminder-rules?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated